summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author slakmagik2011-01-29 05:01:08 +0100
committer Robby Workman2011-03-01 16:17:05 +0100
commit2d67f48cd3ec35f9e0ceafa468a6329584501042 (patch)
tree1c819fadda6bd71b8528472bd1302a490d3d6fe7
parent3d3bf81d7322beeb1d9878d2a7f5bb859a567a16 (diff)
downloadslackbuilds-2d67f48cd3ec35f9e0ceafa468a6329584501042.tar.gz
desktop/root-tail: Miscellaneous cleanups
Clarify a point in the README and make it more consistent. Remove unneeded comments. Tweak strip boilerplate. Fix old-style man page handling. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--desktop/root-tail/README19
-rw-r--r--desktop/root-tail/root-tail.SlackBuild15
2 files changed, 14 insertions, 20 deletions
diff --git a/desktop/root-tail/README b/desktop/root-tail/README
index 2042be2b91..aaad3d9cf9 100644
--- a/desktop/root-tail/README
+++ b/desktop/root-tail/README
@@ -10,14 +10,13 @@ For example:
root-tail -g 800x250+100+50 -font 10x20 /var/log/messages,green \
-font 12x24 /var/log/secure,red,'ALERT'
-By default root-tail doesn't seem to work on XFCE. You need to
-explicitly specify the ID of the display to use it (by using the "-id"
-flag of root-tail). Use the xprop command to find the active root
-display, and run this through the cut command to strip out the ID number
-for insertion into the root-tail `-id` field.
+Note for XFCE users: You may need to explicitly specify the ID of the
+display to use it (by using the "-id" flag of root-tail). Use the xprop
+command to find the active root display, and run this through the cut
+command to strip out the ID number for insertion into the root-tail
+`-id` field.
-It looks a little something like this:
-
-root-tail -g 800x250+100+50 -font fixed /var/log/messages,green \
-/var/log/secure,red,'ALERT' -id $(xprop -root XFCE_DESKTOP_WINDOW |\
-awk '{ print $NF }')
+For example:
+root-tail -g 800x250+100+50 -font 10x20 /var/log/messages,green \
+ -font 12x24 /var/log/secure,red,'ALERT' \
+ -id $(xprop -root XFCE_DESKTOP_WINDOW | awk '{ print $NF }')
diff --git a/desktop/root-tail/root-tail.SlackBuild b/desktop/root-tail/root-tail.SlackBuild
index 3aedad800f..90a4fb0cd1 100644
--- a/desktop/root-tail/root-tail.SlackBuild
+++ b/desktop/root-tail/root-tail.SlackBuild
@@ -9,12 +9,10 @@ VERSION=${VERSION:-1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -56,16 +54,13 @@ find . \
xmkmf -a
make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
make DESTDIR=$PKG install
-# the makefile wants the man pages mode to be 444
-make DESTDIR=$PKG INSTMANFLAGS="-m 0644" install.man
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF |
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
-)
+# the makefile wants the man pages mode to be 444
+make DESTDIR=$PKG INSTMANFLAGS="-m 0644" install.man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [CR]* $PKG/usr/doc/$PRGNAM-$VERSION